.product-block {
  display: flex;
  flex-direction: column;
  position: relative;
  transition: var(--transition);
  width: 100%;
  height: 100%;

  &:hover .images figure img:nth-child(2) {
    opacity: 1;
  }

  &.sold-out {
    position: relative;
    z-index: 1;
    opacity: 0.4;
  }

  > .images {
    margin-bottom: 1.6rem;
    position: relative;
    overflow: hidden;
  }

  > .images figure::after {
    padding-bottom: 150%;
  }

  > .images img {
    transition: var(--transition);

    &:nth-child(2) {
      opacity: 0;
    }
  }

  > .description {
    margin-bottom: 0;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  > .description .quantity {
    font-size: var(--font-size-small);
    margin-top: 1rem;
  }

  > .description .name {
    margin-bottom: auto;
    line-height: 1.2;
  }

  > .description .name a {
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    font-family: var(--font-family-base);
  }

  .button-default {
    margin-top: 2rem;
    width: fit-content;
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translate(-50%, 200%);
    transition: var(--transition);
  }

  @include media("sm") {
    &:hover {
      .button-default {
        transform: translate(-50%, 0);
      }
    }
  }

  > .add-to-cart {
    display: none;
  }

  @import "./flag";
  @import "./product_block_price";
  @import "../content/product/infos/attributes";
}
